API ReferenceSAML (IdP)
Service Providers
CRUD for downstream SAML service providers that accept your IdP assertions.
RPCs
| Method | Path |
|---|---|
| ListServiceProviders | GET /v1/saml/serviceProviders |
| GetServiceProvider | GET /v1/saml/serviceProviders/{id} |
| CreateServiceProvider | POST /v1/saml/serviceProviders |
| UpdateServiceProvider | PATCH /v1/saml/serviceProviders/{id} |
| DeleteServiceProvider | DELETE /v1/saml/serviceProviders/{id} |
Base URL: https://<Domain id="api"/>
Authentication: Bearer token with saml_idp:write for mutations.
SP shape
{
"id": "smlsp_01H7X...",
"name": "Atlassian Cloud",
Register a new SP
body := strings.NewReader(`{
"name":"Atlassian Cloud",
"entity_id":"https://auth.atlassian.com/saml/abc",
"acs_url":"https://auth.atlassian.com/login/callback?connection=saml-avnology",
"name_id_format":"EMAIL",
"sign_assertions": true
}`)
req, _ :=
import httpx, os
httpx.post(
"https://api-id.avnology.net/v1/saml/serviceProviders",
json={
"name": "Atlassian Cloud",
"entity_id": "https://auth.atlassian.com/saml/abc",
"acs_url":
curl -X POST "https://api-id.avnology.net/v1/saml/serviceProviders" \
-H "Authorization: Bearer $AVNOLOGY_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Atlassian Cloud",
"entity_id": "https://auth.atlassian.com/saml/abc",
"acs_url": "https://auth.atlassian.com/login/callback?connection=saml-avnology",
"name_id_format": "EMAIL",
"sign_assertions": true
}'body := strings.NewReader(`{
"name":"Atlassian Cloud",
"entity_id":"https://auth.atlassian.com/saml/abc",
"acs_url":"https://auth.atlassian.com/login/callback?connection=saml-avnology",
"name_id_format":"EMAIL",
"sign_assertions": true
}`)
req, _ :=
import httpx, os
httpx.post(
"https://api-id.avnology.net/v1/saml/serviceProviders",
json={
"name": "Atlassian Cloud",
"entity_id": "https://auth.atlassian.com/saml/abc",
"acs_url":
curl -X POST "https://api-id.avnology.net/v1/saml/serviceProviders" \
-H "Authorization: Bearer $AVNOLOGY_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Atlassian Cloud",
"entity_id": "https://auth.atlassian.com/saml/abc",
"acs_url": "https://auth.atlassian.com/login/callback?connection=saml-avnology",
"name_id_format": "EMAIL",
"sign_assertions": true
}'body := strings.NewReader(`{
"name":"Atlassian Cloud",
"entity_id":"https://auth.atlassian.com/saml/abc",
"acs_url":"https://auth.atlassian.com/login/callback?connection=saml-avnology",
"name_id_format":"EMAIL",
"sign_assertions": true
}`)
req, _ :=
import httpx, os
httpx.post(
"https://api-id.avnology.net/v1/saml/serviceProviders",
json={
"name": "Atlassian Cloud",
"entity_id": "https://auth.atlassian.com/saml/abc",
"acs_url":
curl -X POST "https://api-id.avnology.net/v1/saml/serviceProviders" \
-H "Authorization: Bearer $AVNOLOGY_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Atlassian Cloud",
"entity_id": "https://auth.atlassian.com/saml/abc",
"acs_url": "https://auth.atlassian.com/login/callback?connection=saml-avnology",
"name_id_format": "EMAIL",
"sign_assertions": true
}'body := strings.NewReader(`{
"name":"Atlassian Cloud",
"entity_id":"https://auth.atlassian.com/saml/abc",
"acs_url":"https://auth.atlassian.com/login/callback?connection=saml-avnology",
"name_id_format":"EMAIL",
"sign_assertions": true
}`)
req, _ :=
import httpx, os
httpx.post(
"https://api-id.avnology.net/v1/saml/serviceProviders",
json={
"name": "Atlassian Cloud",
"entity_id": "https://auth.atlassian.com/saml/abc",
"acs_url":